Assignee: Walden Raines   
Target version: 1.8.2   
Pull request: https://github.com/theforeman/foreman/p
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1222650

Description of problem:

autocomplete does not work in editing permissions

Version-Release number of selected component (if applicable):

Sat 6.1 GA Snap 4

How reproducible:

Always

Steps to Reproduce:

1. Create a role

2. Create a filter for the role by

- Navigate to UI -> Administer -> Roles -> Click on 'Filter' for the newly created role

- Click New filter

- Resource type - Products and Repositories

- Permission - view_products

- Uncheck Unlimited?

- Click on Search field - see autocomplete dropdown suggestions shown. Select 'name' and select a product like 'name = product1"

- Click Submit to create the filter

3. Now edit the newly created filter in Step 2

4. Clear Search box value 'name = product1' and attempt to enter a new value.

Actual results:

Notice that the search box autocomplete dropdown does not work in edit filter

Expected results:

search box autocomplete dropdown should work in edit filter

Additional info:

Associated revisions

Revision f536685b - 05/22/2015 11:40 AM - Walden Raines

Fixes #10542: correct path for auto complete search on filters page.

The filters page was using an incorrect path for the autocomplete search

which caused it to not work on initial page load with non-core resources.

This commit updates the autocomplete search path to use the correct URL.

http://projects.theforeman.org/issues/10542

Revision 351a6189 - 06/15/2015 10:08 AM - Walden Raines

Fixes #10542: correct path for auto complete search on filters page.
The filters page was using an incorrect path for the autocomplete search

which caused it to not work on initial page load with non-core resources.

This commit updates the autocomplete search path to use the correct URL.

http://projects.theforeman.org/issues/10542

(cherry picked from commit f536685b9aa0ce7829302c68e406f03f501f78df)

History

#1 - 05/19/2015 04:59 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from New to Need more information

I can't reproduce this at all in 1.8.0 or develop, could you please add some more debug information, such as server side logs or client console errors if

available?

#2 - 05/19/2015 09:18 AM - The Foreman Bot

- Status changed from Need more information to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2394 added

- Pull request deleted ()

#3 - 05/22/2015 11:39 AM - Dominic Cleal

- translation missing: en.field_release set to 56

#4 - 05/22/2015 12:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f536685b9aa0ce7829302c68e406f03f501f78df.
